# $Revision: 1.18 $, $Date: 2010/03/19 14:52:31 $
Summary:	A tool which imposes a configurable amount of load on your system
Summary(pl.UTF-8):	Narzędzie powodujące konfigurowalne obciążenie systemu
Name:		stress
Version:	1.0.4
Release:	1
License:	GPL v3+
Group:		Applications
Source0:	http://weather.ou.edu/~apw/projects/stress/%{name}-%{version}.tar.gz
# Source0-md5:	a607afa695a511765b40993a64c6e2f4
Patch0:		%{name}-info.patch
URL:		http://weather.ou.edu/~apw/projects/stress/
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stress is a tool which imposes a configurable amount of CPU, memory,
I/O, or disk stress on a POSIX-compliant operating system. It is
written in highly-portable ANSI C, and uses the GNU Autotools to
compile on a great number of UNIX-like operating systems.

Stress is not a benchmark. It is a tool used by system administrators
to evaluate how well their systems will scale, by kernel programmers
to evaluate perceived performance characteristics, and by systems
programmers to expose the classes of bugs which only or more
frequently manifest themselves when the system is under heavy load.

%description -l pl.UTF-8
Stress to narzędzie powodujące konfigurowane obciążenie procesora,
pamięci, wejścia/wyjścia lub dysku w systemie operacyjnym
kompatybilnym z POSIX. Jest napisane w dobrze przenośnym ANSI C i
używa do kompilacji GNU autotools, aby skompilować się na dużej
liczbie uniksowych systemów operacyjnych.

Stress to nie jest benchmark. To jest narzędzie używane przez
administratorów systemów do określania, jak ich systemy będą się
skalować; przez programistów jądra do określania odczuwalnej
charakterystyki wydajności; przez programistów systemowych do
ujawniania klas błędów, które objawiają się tylko (lub częściej się
objawiają) przy bardzo obciążonym systemie.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make} \
	AM_CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/stress.1*
%{_infodir}/*info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stress.spec,v $
Revision 1.18  2010/03/19 14:52:31  lisu
- 1.0.4

Revision 1.17  2010/02/18 13:30:42  lisu
- 1.0.3

Revision 1.16  2009/12/03 13:38:54  lisu
- GPL v3+ license

Revision 1.15  2009/12/03 13:37:23  lisu
- updated to 1.0.2
- -fix_build patch applied upstream

Revision 1.14  2008/06/22 18:40:04  blekot
- up to 1.0.0
- updated patch1

Revision 1.13  2008-01-24 01:36:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.12  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.10  2007/02/11 00:20:36  areq
- 0.18.9

Revision 1.9  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.8  2006/07/06 23:33:26  darekr
- updated to 0.18.8
- added -fix_build patch

Revision 1.7  2005/07/01 22:18:56  areq
- 0.18.6

Revision 1.6  2005/05/03 17:52:35  darekr
- updated to 0.18.4

Revision 1.5  2005/04/10 07:13:19  pluto
- release 1.

Revision 1.4  2004/12/17 19:20:45  darekr
- updated to 0.18.2

Revision 1.3  2003/10/21 20:47:39  qboosh
- added info patch, register info page, use optflags

Revision 1.2  2003/10/14 20:40:51  qboosh
- pl

Revision 1.1  2003/08/22 10:13:41  areq
- init PLD spec
